コンテンツにスキップ

メンテナンス開始

POST
/dashboard/monitors/{id}/maintenance

指定した期間のメンテナンスウィンドウを開始する。メンテナンス中はチェックは継続するがインシデント生成が抑制される。

id
required
string
object
durationSeconds
required

メンテナンス期間(秒)

integer
>= 60 <= 3600
autoResolve

When true, maintenance auto-resolves at the scheduled end time. When false, maintenance persists until manually ended.

boolean
default: true

メンテナンス開始成功

object
monitor
object
id
string
teamId
string
type
string
Allowed values: http tcp ping heartbeat webchange ssl domain
name
string
config

Type-specific configuration

object
intervalSeconds
integer
>= 60 <= 86400
status
string
Allowed values: up down degraded unknown paused
isActive
integer
Allowed values: 0 1
lastCheckedAt
string format: date-time
nullable
maintenanceUntil

ISO 8601 timestamp until which the monitor is under maintenance. Null when not in maintenance.

string format: date-time
nullable
autoResolveMaintenance

Whether maintenance auto-resolves (1) or requires manual resolution (0).

integer
Allowed values: 0 1
createdAt
string format: date-time
updatedAt
string format: date-time

バリデーションエラー

モニターが見つからない